## org.apache.lucene.queryParser.standard.config
Interface LocaleAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  LocaleAttributeImpl

    public interface LocaleAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by processor `ParametricRangeQueryNodeProcessor` and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default `Locale` used to parse a date.

Method Summary
`java.util.Locale` `getLocale()`
`void` `setLocale(java.util.Locale locale)`

Method Detail

### setLocale

    void setLocale(java.util.Locale locale)

### getLocale

    java.util.Locale getLocale()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.